Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Control_Block::ACE_Malloc_Header Class Reference

This is the control block header. It's used by <ACE_Malloc> to keep track of each chunk of data when it's in the free list or in use. More...

`#include <Malloc.h>`

List of all members.

## Public Methods
| ACE_Malloc_Header (void)
void | dump (void) const
| Dump the state of the object.
## Static Public Methods
void | init_ptr (ACE_Malloc_Header **ptr, ACE_Malloc_Header *init, void *base_addr)
| Initialize a malloc header pointer.
## Public Attributes
ACE_Malloc_Header * | next_block_
| Points to next block if on free list.
size_t | size_
| Size of this header control block.
char | padding_ [(ACE_MALLOC_PADDING_SIZE)?ACE_MALLOC_PADDING_SIZE:ACE_MALLOC_ALIGN]

## Detailed Description

This is the control block header. It's used by <ACE_Malloc> to keep track of each chunk of data when it's in the free list or in use.

## Constructor & Destructor Documentation

ACE_Control_Block::ACE_Malloc_Header::ACE_Malloc_Header | ( | void |  | ) |

## Member Function Documentation

void ACE_Control_Block::ACE_Malloc_Header::dump | ( | void |  | ) | const

| Dump the state of the object.

ACE_INLINE void ACE_Control_Block::ACE_Malloc_Header::init_ptr | ( | ACE_Malloc_Header ** | ptr,
|  | ACE_Malloc_Header * | init,
|  | void * | base_addr
| ) | `[static]`

| Initialize a malloc header pointer.

## Member Data Documentation

ACE_Malloc_Header* ACE_Control_Block::ACE_Malloc_Header::next_block_

| Points to next block if on free list.

char ACE_Control_Block::ACE_Malloc_Header::padding_[(ACE_MALLOC_PADDING_SIZE) ? ACE_MALLOC_PADDING_SIZE : ACE_MALLOC_ALIGN]

size_t ACE_Control_Block::ACE_Malloc_Header::size_

| Size of this header control block.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc.i